apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: c-infra
spec:
  destination:
    namespace: default
    server: 'https://kubernetes.default.svc'
  source:
    path: develop/argocd/apps
    repoURL: https://gitlab.com/argocddeploymenttest/deployment/statichelloworld_deployment.git
    targetRevision: HEAD
  project: infrastructure
  syncPolicy:
    automated:
      prune: true
      selfHeal: true